<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $schedule->command('Callback:JuliangAccountRateConfigRefresh')->everyMinute();
        /**
         * 投放渠道日结算
         */
        $schedule->command('Jiesuan:CompanyChargeDayJiesuan', [
            '--date' => date('Y-m-d', strtotime('yesterday'))
        ])->dailyAt('01:00');

        /**
         * 充值统计----------------------
         */
        $schedule->command('Statistic:CompanyDayCharge')->dailyAt('02:00');
        $schedule->command('Statistic:CompanyMonthCharge')->monthlyOn(1, '04:00');
        $schedule->command('Statistic:PromotionDayCharge')->dailyAt('01:00');
        $schedule->command('Statistic:OptimizerMonthCharge')->monthlyOn(1,'03:00');
        // 新增用户统计
        $schedule->command('Statistic:OptimizerDayUser')->dailyAt('05:00');
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
